Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class FormatKeys

    java.lang.Object
      org.monte.media.FormatKeys

Direct Known Subclasses:
  AudioFormatKeys, VideoFormatKeys

    public class FormatKeys

extends java.lang.Object

Defines common `FormatKey`'s.

Version:
  $Id: FormatKeys.java 134 2011-12-02 16:23:00Z werner $
Author:
  Werner Randelshofer

Nested Class Summary
`static class` | `FormatKeys.MediaType`

Field Summary
`static FormatKey<java.lang.String>` | `EncodingKey` The EncodingKey.
`static FormatKey<Rational>` | `FrameRateKey` The number of frames per second.
`static FormatKey<java.lang.Integer>` | `KeyFrameIntervalKey` The interval between key frames.
`static FormatKey<FormatKeys.MediaType>` | `MediaTypeKey` The media MediaTypeKey.
`static java.lang.String` | `MIME_ANIM`
`static java.lang.String` | `MIME_AVI`
`static java.lang.String` | `MIME_IMAGE_SEQUENCE`
`static java.lang.String` | `MIME_JAVA`
`static java.lang.String` | `MIME_MP4`
`static java.lang.String` | `MIME_QUICKTIME`
`static FormatKey<java.lang.String>` | `MimeTypeKey` The mime type.

Constructor Summary
`FormatKeys()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MediaTypeKey

    public static final FormatKey<FormatKeys.MediaType> MediaTypeKey

  The media MediaTypeKey.

### EncodingKey

    public static final FormatKey<java.lang.String> EncodingKey

  The EncodingKey.

### MIME_AVI

    public static final java.lang.String MIME_AVI

See Also:
  Constant Field Values

### MIME_QUICKTIME

    public static final java.lang.String MIME_QUICKTIME

See Also:
  Constant Field Values

### MIME_MP4

    public static final java.lang.String MIME_MP4

See Also:
  Constant Field Values

### MIME_JAVA

    public static final java.lang.String MIME_JAVA

See Also:
  Constant Field Values

### MIME_ANIM

    public static final java.lang.String MIME_ANIM

See Also:
  Constant Field Values

### MIME_IMAGE_SEQUENCE

    public static final java.lang.String MIME_IMAGE_SEQUENCE

See Also:
  Constant Field Values

### MimeTypeKey

    public static final FormatKey<java.lang.String> MimeTypeKey

  The mime type.

### FrameRateKey

    public static final FormatKey<Rational> FrameRateKey

  The number of frames per second.

### KeyFrameIntervalKey

    public static final FormatKey<java.lang.Integer> KeyFrameIntervalKey

  The interval between key frames. If this value is not specified, most codecs will use `FrameRateKey` as a hint and try to produce one key frame per second.

Constructor Detail

### FormatKeys

    public FormatKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD